def lunar_addition(a, b):
    max_len = max(len(a), len(b))
    a, b = a.zfill(max_len), b.zfill(max_len)
    result = [str(max(int(x), int(y))) for x, y in zip(a, b)]
    return ''.join(result)


def lunar_multiplication(a, b):
    results = []
    a = a[::-1]
    b = b[::-1]
    for i, digit_b in enumerate(b):
        row_result = ['0'] * i
        for digit_a in a:
            row_result.append(str(min(int(digit_a), int(digit_b))))
        results.append(''.join(row_result[::-1]))
    result = '0'
    for r in results:
        result = lunar_addition(result, r)
    return result


def lunar_calculator():
    a = input().strip()
    b = input().strip()
    lunar_sum = lunar_addition(a, b)
    lunar_product = lunar_multiplication(a, b)

    print(lunar_sum)
    print(lunar_product)


lunar_calculator()
